import { z } from 'zod';
declare const Options: z.ZodObject<{
    zodTypeMap: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    typeMap: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    modelsType: z.ZodOptional<z.ZodLiteral<"knex">>;
}, "strip", z.ZodTypeAny, {
    zodTypeMap?: Record<string, string> | undefined;
    typeMap?: Record<string, string> | undefined;
    modelsType?: "knex" | undefined;
}, {
    zodTypeMap?: Record<string, string> | undefined;
    typeMap?: Record<string, string> | undefined;
    modelsType?: "knex" | undefined;
}>;
/**
 * Must be called AFTER declaring all migrations because only declared migrations will run to generate schema
 */
export declare function generate(outputDirectory: string, options?: z.input<typeof Options>): void;
export {};
//# sourceMappingURL=index.d.ts.map